CUPTI (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 3.46. CUpti_ActivityOpenAccLaunch Struct Reference

## [CUPTI Activity API]

(CUPTI_ACTIVITY_KIND_OPENACC_LAUNCH).

### Public Variables

uint32_t cuContextId
uint32_t cuDeviceId
uint32_t cuProcessId
uint32_t cuStreamId
uint32_t cuThreadId
uint64_t end
CUpti_OpenAccEventKind eventKind
uint32_t externalId
CUpti_ActivityKind kind
uint64_t numGangs
uint64_t numWorkers
uint32_t pad1
uint64_t start
uint32_t threadId
uint64_t vectorLength

### Variables

uint32_t CUpti_ActivityOpenAccLaunch::cuContextId [inherited]

  CUDA context id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccLaunch::cuDeviceId [inherited]

  CUDA device id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccLaunch::cuProcessId [inherited]

  The ID of the process where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAccLaunch::cuStreamId [inherited]

  CUDA stream id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccLaunch::cuThreadId [inherited]

  The ID of the thread where the OpenACC activity is executing.

uint64_t CUpti_ActivityOpenAccLaunch::end [inherited]

  CUPTI end timestamp

CUpti_OpenAccEventKind CUpti_ActivityOpenAccLaunch::eventKind [inherited]

  CUPTI OpenACC event kind (

  See also:

  CUpti_OpenAccEventKind)

uint32_t CUpti_ActivityOpenAccLaunch::externalId [inherited]

  The OpenACC correlation ID. Valid only if deviceType is acc_device_nvidia. If not 0, it uniquely identifies this record. It is identical to the externalId in the preceeding external correlation record of type CUPTI_EXTERNAL_CORRELATION_KIND_OPENACC.

CUpti_ActivityKind CUpti_ActivityOpenAccLaunch::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_OPENACC_LAUNCH.

uint64_t CUpti_ActivityOpenAccLaunch::numGangs [inherited]

  The number of gangs created for this kernel launch

uint64_t CUpti_ActivityOpenAccLaunch::numWorkers [inherited]

  The number of workers created for this kernel launch

uint32_t CUpti_ActivityOpenAccLaunch::pad1 [inherited]

  Undefined. Reserved for internal use.

uint64_t CUpti_ActivityOpenAccLaunch::start [inherited]

  CUPTI start timestamp

uint32_t CUpti_ActivityOpenAccLaunch::threadId [inherited]

  ThreadId

uint64_t CUpti_ActivityOpenAccLaunch::vectorLength [inherited]

  The number of vector lanes created for this kernel launch